<template>
	<div class="login_main_wrapper min-vh-100">
		<main class="login_main">
			<div class="activation_field">
				<div class="form-group">
					<label class="base_label">Server id:</label>
					<input type="text" class="form-control-plaintext activation_inp_server" v-model="serverId" disabled>
				</div>

				<div class="form-group" :class="{'base_invalid': status === 0, 'base_valid': status === 1}">
					<label class="base_label">Activation key</label>
					<input type="text" class="form-control base_input activation_inp_key" placeholder="Activation key" v-model="activationKey">
					<div class="form-text base_input_text" v-if="status === 1">Activation is successful</div>
					<div class="form-text base_input_text" v-if="status === 0">Activation is failed</div>
				</div>

				<router-link to="/" v-if="status === 1" class="btn login_main_sign_btn activation_btn success">Proceed to Website</router-link>
				<button type="submit" class="btn login_main_sign_btn activation_btn" @click="Activate" v-else>Activate</button>
			</div>
		</main>


		<footer class="login_footer">
			<div class="login_foot_policy"><a href="">Политика конфиденциальности</a></div>
		</footer>
	</div>
</template>

<style></style>

<script src="./ActivationScript.js"></script>